<?xml version="1.0" encoding="UTF-8"?><!--
	Restricted Materials - Property of IBM
	(C) Copyright IBM Corp. 2018 All Rights Reserved.
		--><plugin-upgrade xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1" xmlns:server="http://www.urbancode.com/PluginServerXMLSchema_v1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <migrate to-version="2">
    <migrate-command name="NEWCOPY Programs" old="NEWCOPY Programs from a Program List">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.cicsplex}" name="cicsplex"/>
    		<migrate-property default="${p?:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="PHASEIN Programs" old="PHASEIN Programs from a Program List">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.cicsplex}" name="cicsplex"/>
    		<migrate-property default="${p?:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
    <migrate to-version="3">
    <migrate-command name="NEWCOPY Programs">
    	<migrate-properties>
    		<migrate-property name="cicsplex"/>
    		<migrate-property name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="PHASEIN Programs">
    	<migrate-properties>
    		<migrate-property name="cicsplex"/>
    		<migrate-property name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="4">
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/>
  </migrate>
  <migrate to-version="5">
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/>
    <migrate-command name="Install CSD resources">
        <migrate-properties>
    		<migrate-property name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install CSD groups or lists">
        <migrate-properties>
    		<migrate-property name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resources" old="Install CPSM DREP resources">
        <migrate-properties>
    		<migrate-property name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource groups" old="Install CPSM DREP resource groups">
        <migrate-properties>
    		<migrate-property name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource descriptions" old="Install CPSM DREP resource descriptions"/>
  </migrate>
  <migrate to-version="6">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/>
  </migrate>
    <migrate to-version="7">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/>
  </migrate>  
  <migrate to-version="8">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/>
    <migrate-command name="Discard resources"/>
  </migrate>
  <migrate to-version="9">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/>
    <migrate-command name="Discard resources"/>
  </migrate> 
  <migrate to-version="10">
    <migrate-command name="Install CSD resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install CSD groups or lists">
        <migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Install BAS resource groups">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Install BAS resource descriptions">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="NEWCOPY Programs">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="PHASEIN Programs">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Discard resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Disable resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>  
    <migrate-command name="Enable resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>  
  </migrate> 
  <migrate to-version="11">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
  </migrate>
  <migrate to-version="12">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="NEWCOPY Programs">
    <migrate-properties>
    		<migrate-property name="resourceNameList" old="programList"/>
    	</migrate-properties>
    </migrate-command>  
    <migrate-command name="PHASEIN Programs">
    <migrate-properties>
    		<migrate-property name="resourceNameList" old="programList"/>
    	</migrate-properties>
    </migrate-command> 
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Pipeline Scan"/>
  </migrate>
    <migrate to-version="13">
    <migrate-command name="Install CSD resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install CSD groups or lists">
        <migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Install BAS resource groups">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Install BAS resource descriptions">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="NEWCOPY Programs">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="PHASEIN Programs">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Discard resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>    
    <migrate-command name="Disable resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>  
    <migrate-command name="Enable resources">
    	<migrate-properties>
    		<migrate-property name="password"/>
    	</migrate-properties>
    </migrate-command>  
    <migrate-command name="Pipeline Scan"/>
  </migrate>
  <migrate to-version="14">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="NEWCOPY Programs"/>
    <migrate-command name="PHASEIN Programs"/> 
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Pipeline Scan"/>
  </migrate>
  <migrate to-version="15">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New Copy resources" old="NEWCOPY Programs"/>
    <migrate-command name="Phase In programs" old="PHASEIN Programs"/> 
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Pipeline Scan"/>
    <migrate-command name="Open or Close resources"/>
  </migrate>
  <migrate to-version="16">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources" old="New Copy resources"/>
    <migrate-command name="Phase in programs" old="Phase In programs"/> 
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines" old="Pipeline Scan"/>
    <migrate-command name="Open or close resources" old="Open or Close resources"/>
  </migrate>
  <migrate to-version="17">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in programs"/> 
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
  </migrate>
  <migrate to-version="18">
    <migrate-command name="Install CSD resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install CSD groups or lists">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource groups">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in programs"/> 
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
  </migrate>
  <migrate to-version="19">
    <migrate-command name="Install CSD resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install CSD groups or lists">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource groups">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource descriptions">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="New copy resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Phase in programs"> 
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Discard resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Enable resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Disable resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Scan pipelines">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Open resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Close resources">
    	<migrate-properties>
    		<migrate-property default="${p?:cics.ssl}" name="ssl"/>
    		<migrate-property default="${p?:cics.kslocation}" name="ks_location"/>
    		<migrate-property default="${p?:cics.kstype}" name="ks_type"/>
    		<migrate-property default="${p?:cics.kspassword}" name="ks_password"/>
    		<migrate-property default="${p?:cics.tslocation}" name="ts_location"/>
    		<migrate-property default="${p?:cics.tstype}" name="ts_type"/>
    		<migrate-property default="${p?:cics.tspassword}" name="ts_password"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
   <migrate to-version="20">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in programs"/> 
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources">
    	<migrate-properties>
    		<migrate-property name="resourceType"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Close resources">
    	<migrate-properties>
    		<migrate-property name="resourceType"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
     <migrate to-version="21">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources" old="Phase in programs"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources">
    </migrate-command>
    <migrate-command name="Close resources">
    </migrate-command>
  </migrate>
  <migrate to-version="22">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources">
    </migrate-command>
  </migrate>
    <migrate to-version="23">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
  </migrate>
      <migrate to-version="24">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources">
        <migrate-properties>
    		<migrate-property name="resourceType"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Enable resources">
        <migrate-properties>
    		<migrate-property name="resourceType"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Disable resources">
        <migrate-properties>
    		<migrate-property name="resourceType"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
  </migrate>
  <migrate to-version="25">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Deploy bundle"/>
  </migrate>
  <migrate to-version="26">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Deploy bundle"/>
  </migrate>
    <migrate to-version="27">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Deploy bundle">
        	<migrate-properties>
    		<migrate-property default="${p?:cics.cicsplex.cmas}" name="cmas"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
   <migrate to-version="28">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Deploy bundle"/>
    <migrate-command name="Undeploy bundle"/>
  </migrate>
   <migrate to-version="29">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources">
    	<migrate-properties>
    		<migrate-property default="${p:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource groups">
        <migrate-properties>
    		<migrate-property default="${p:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application">
    	<migrate-properties>
    		<migrate-property default="${p:cics.cicsplex}" name="cicsplex"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Enable application">
    	<migrate-properties>
    		<migrate-property default="${p:cics.platform.definition.name}" name="platdef"/>
    	</migrate-properties>
    </migrate-command>
        <migrate-command name="Disable application">
    	<migrate-properties>
    		<migrate-property default="${p:cics.cicsplex}" name="cicsplex"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Disable application">
    	<migrate-properties>
    		<migrate-property default="${p:cics.platform.definition.name}" name="platdef"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.cicsplex}" name="cicsplex"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.cicshlq}" name="cicshlq"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.cpsmhlq}" name="cpsmhlq"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:jes.user}" name="jesUsername"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:jes.password}" name="jesPassword"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.cicsplex}" name="cicsplex"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.scope}" name="cicsscope"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.cicshlq}" name="cicshlq"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:cics.cpsmhlq}" name="cpsmhlq"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:jes.user}" name="jesUsername"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="${p:jes.password}" name="jesPassword"/>
    	</migrate-properties>
    </migrate-command>
   </migrate>
   <migrate to-version="30">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="false" name="trace"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="false" name="trace"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="31">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="true" name="usePassticket"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="/usr/include/java_classes/IRRRacf.jar" name="irrracfJarFile"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="true" name="usePassticket"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="/usr/include/java_classes/IRRRacf.jar" name="irrracfJarFile"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="32">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="/usr/lib" name="irrracfLib"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="${p?:deploy.env.jobstatement}" name="JCLjobstatement" old="JCLjobcard"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="/usr/lib" name="irrracfLib"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="${p?:deploy.env.jobstatement}" name="JCLjobstatement" old="JCLjobcard"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="33">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources">
        <migrate-properties>
    		<migrate-property name="resourceType"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle">
    </migrate-command>
    <migrate-command name="Undeploy bundle">
    </migrate-command>
  </migrate>
  <migrate to-version="34">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources">
    </migrate-command>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle">
    </migrate-command>
    <migrate-command name="Undeploy bundles" old="Undeploy bundle">
        <migrate-properties>
    		<migrate-property default="CSD" name="resourceDefinition"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="35">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources">
    </migrate-command>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle">
        <migrate-properties>
    		<migrate-property default="ENABLED" name="targetstatus"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy bundles"/>
    <migrate-command name="Deploy application"/>
    <migrate-command name="Undeploy application"/>
  </migrate>
  <migrate to-version="36">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources">
    	<migrate-properties>
    		<migrate-property default="" name="maxRetryTimes"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="New copy resources">
    	<migrate-properties>
    		<migrate-property default="" name="retryInterval"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources">
        <migrate-properties>
    		<migrate-property default="" name="timeout"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Check open status of resources">
        <migrate-properties>
    		<migrate-property default="" name="timeout"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle"/>
    <migrate-command name="Undeploy bundles"/>
    <migrate-command name="Deploy application"/>
    <migrate-command name="Undeploy application"/>
    <migrate-command name="Make application available"/>
    <migrate-command name="Make application unvailable"/>
    <migrate-command name="Check status of an application"/>
  </migrate>
    <migrate to-version="37">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources">
    </migrate-command>
    <migrate-command name="New copy resources">
    </migrate-command>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources">
    </migrate-command>
    <migrate-command name="Check open status of resources">
    </migrate-command>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle"/>
    <migrate-command name="Undeploy bundles"/>
    <migrate-command name="Deploy application"/>
    <migrate-command name="Undeploy application"/>
    <migrate-command name="Make application available"/>
    <migrate-command name="Make application unvailable"/>
    <migrate-command name="Check status of an application"/>
    <migrate-command name="Make resources available"/>
    <migrate-command name="Make resources unavailable"/>
    <migrate-command name="Check available status of resources"/>
  </migrate>
  <migrate to-version="38">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources">
    </migrate-command>
    <migrate-command name="New copy resources">
    </migrate-command>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources">
        <migrate-properties>
    		<migrate-property default="15" name="timeout"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Check open status of resources">
        <migrate-properties>
    		<migrate-property default="15" name="timeout"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle"/>
    <migrate-command name="Undeploy bundles"/>
    <migrate-command name="Deploy application">
        <migrate-properties>
    		<migrate-property default="${p:cics.platform.home}/applications/${p:component.name}_${p:cics.application.version}" name="applicationDirectory"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Deploy application">
        <migrate-properties>
    		<migrate-property default="${p:component.name}" name="Description"/>
    	</migrate-properties>
    </migrate-command>
    <migrate-command name="Undeploy application"/>
    <migrate-command name="Make application available"/>
    <migrate-command name="Make application unvailable"/>
    <migrate-command name="Check status of an application"/>
    <migrate-command name="Make resources available"/>
    <migrate-command name="Make resources unavailable"/>
    <migrate-command name="Check available status of resources">
        <migrate-properties>
    		<migrate-property default="15" name="timeout"/>
    	</migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="39">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle"/>
    <migrate-command name="Undeploy bundles"/>
    <migrate-command name="Deploy application"/>
    <migrate-command name="Deploy application"/>
    <migrate-command name="Undeploy application"/>
    <migrate-command name="Make application available"/>
    <migrate-command name="Make application unvailable"/>
    <migrate-command name="Check status of an application"/>
    <migrate-command name="Make resources available"/>
    <migrate-command name="Make resources unavailable"/>
    <migrate-command name="Check available status of resources"/>
  </migrate>
  <migrate to-version="40">
    <migrate-command name="Install CSD resources"/>
    <migrate-command name="Install CSD groups or lists"/>
    <migrate-command name="Install BAS resources"/>
    <migrate-command name="Install BAS resource groups"/>
    <migrate-command name="Install BAS resource descriptions"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="New copy resources"/>
    <migrate-command name="Phase in resources"/>
    <migrate-command name="Discard resources"/>
    <migrate-command name="Enable resources"/>
    <migrate-command name="Disable resources"/>
    <migrate-command name="Scan pipelines"/>
    <migrate-command name="Open resources"/>
    <migrate-command name="Close resources"/>
    <migrate-command name="Check enable status of resources"/>
    <migrate-command name="Check open status of resources"/>
    <migrate-command name="Enable application"/>
    <migrate-command name="Disable application"/>
    <migrate-command name="Deploy bundle"/>
    <migrate-command name="Undeploy bundles"/>
    <migrate-command name="Deploy application"/>
    <migrate-command name="Deploy application"/>
    <migrate-command name="Undeploy application"/>
    <migrate-command name="Make application available"/>
    <migrate-command name="Make application unvailable"/>
    <migrate-command name="Check status of an application"/>
    <migrate-command name="Make resources available"/>
    <migrate-command name="Make resources unavailable"/>
    <migrate-command name="Check available status of resources"/>
  </migrate>
</plugin-upgrade>